import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  paymentGroupId: SortOrderSchema.optional()
}).strict();
export const SeleniumSettingsCountOrderByAggregateInputObjectSchema: z.ZodType<Prisma.SeleniumSettingsCountOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.SeleniumSettingsCountOrderByAggregateInput>;
export const SeleniumSettingsCountOrderByAggregateInputObjectZodSchema = makeSchema();
